Skip to main content

Get Application

Example Request

{
"jsonrpc": "2.0",
"method": "cartesi_getApplication",
"params": {
"application": "<name-or-address>"
},
"id": 1
}

The cartesi_getApplication method retrieves detailed information about a specific application by its name or address.

Parameters

NameTypeRequiredDescription
applicationstringYesThe application's name or hex encoded address

Response

{
"jsonrpc": "2.0",
"result": {
"data": {
"name": "calculator",
"iapplication_address": "0x71C7656EC7ab88b098defB751B7401B5f6d8976F",
"iconsensus_address": "0x71C7656EC7ab88b098defB751B7401B5f6d8976F",
"iinputbox_address": "0x71C7656EC7ab88b098defB751B7401B5f6d8976F",
"template_hash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
"epoch_length": "0x100",
"data_availability": "0x",
"state": "ENABLED",
"reason": "",
"iinputbox_block": "0x1",
"last_input_check_block": "0x1",
"last_output_check_block": "0x1",
"processed_inputs": "0x1",
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z",
"execution_parameters": {
"snapshot_policy": "NONE",
"advance_inc_cycles": "0x1000",
"advance_max_cycles": "0x10000",
"inspect_inc_cycles": "0x1000",
"inspect_max_cycles": "0x10000",
"advance_inc_deadline": "0x1000000",
"advance_max_deadline": "0x10000000",
"inspect_inc_deadline": "0x1000000",
"inspect_max_deadline": "0x10000000",
"load_deadline": "0x1000000",
"store_deadline": "0x1000000",
"fast_deadline": "0x1000000",
"max_concurrent_inspects": 1,
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z"
}
}
},
"id": 1
}

Response Fields

NameTypeDescription
namestringThe name of the application
iapplication_addressstringThe Ethereum address of the application contract
iconsensus_addressstringThe Ethereum address of the consensus contract
iinputbox_addressstringThe Ethereum address of the input box contract
template_hashstringThe hash of the application template
epoch_lengthstringThe length of each epoch in blocks
data_availabilitystringThe data availability configuration
statestringCurrent state of the application (ENABLED/DISABLED/INOPERABLE)
reasonstringReason for the current state
iinputbox_blockstringThe block number of the input box contract
last_input_check_blockstringThe last block checked for inputs
last_output_check_blockstringThe last block checked for outputs
processed_inputsstringThe number of processed inputs
created_atstringTimestamp when the application was created
updated_atstringTimestamp when the application was last updated
execution_parametersobjectConfiguration parameters for application execution

Execution Parameters

NameTypeDescription
snapshot_policystringThe snapshot policy (NONE/EVERY_INPUT/EVERY_EPOCH)
advance_inc_cyclesstringIncremental cycles for advance state
advance_max_cyclesstringMaximum cycles for advance state
inspect_inc_cyclesstringIncremental cycles for inspect state
inspect_max_cyclesstringMaximum cycles for inspect state
advance_inc_deadlinestringIncremental deadline for advance state (ns)
advance_max_deadlinestringMaximum deadline for advance state (ns)
inspect_inc_deadlinestringIncremental deadline for inspect state (ns)
inspect_max_deadlinestringMaximum deadline for inspect state (ns)
load_deadlinestringDeadline for loading state (ns)
store_deadlinestringDeadline for storing state (ns)
fast_deadlinestringDeadline for fast operations (ns)
max_concurrent_inspectsnumberMaximum number of concurrent inspect operations
created_atstringTimestamp when parameters were created
updated_atstringTimestamp when parameters were last updated

Error Codes

CodeMessageDescription
-32602Invalid paramsInvalid parameter values
-32000Application not foundThe specified application does not exist
-32603Internal errorAn internal error occurred
We use cookies to ensure that we give you the best experience on our website. By using the website, you agree to the use of cookies.